
# Change Log
All notable changes to this project will be documented in this file.


## [v2.0.13] - 2025-4-25
  
Incremental release

### Fixed
- Cleaned up HID interaction and USB driver handling. Fixed bug where GUI would not show latest values.

### Known Issues
- Translations are mainly machine translated and not 100% complete

## [v2.0.12] - 2025-4-07
  
Incremental release

### Fixed
- Temperature sensing and VDS sensing now works correctly
- Minor cosmetic GUI changes
- Fixed issue where capacitive charging was not being updated on device read/write
- Updated exporting header file to match new format

### Known Issues
- Translations are mainly machine translated and not 100% complete

## [v2.0.11] - 2025-2-14
  
Incremental release

### Fixed
- Changing the sense resistor in the device settings now recalculates all of the I2T/current limit values
- Added (preliminary machine translated) German, Chinese, and Korean language modes
- Cleaned up memory allocations and resource freeing
- Minor cosmetic GUI changes
- Increased sample rate for current sense graphing

### Known Issues
- Temperature reporting values are not correct pending silicon characterization

## [v2.0.10] - 2025-1-29
  
Bug fix release for final silicon

### Fixed
- Issue where I2T tuner graph was not being displayed correctly for German locales
- Issue where current limit (immediate shutoff) was not updated correctly

## [v2.0.7beta] - 2025-1-17
  
Beta build for final silicon

### Added
- Updated to Visual Studio 2022 with latest Windows SDK and  v4.8.1 .NET framework

### Fixed
- Issue where inrush current value was not being set correctly

### Known Issues
- Japanese and Chinese translations are not complete
- Demo mode sometimes will crash

## [v2.0.5] - 2024-12-05
  
Beta build for final silicon

### Added
- Temperature and VDS sensing
- Auto-LPM button and indicator
- CRC support
- Handshake mechanism to detect if a daughter card is actually there

### Fixed
- GUI improvements on layout

### Known Issues
- Japanese translations are not complete

## [v1.9.4] - 2024-04-18
  
Bug fix build

### Added
- Added ability to export header configuration files for software drivers

### Fixed
- SNS resistor is now actually used for current sense graphing/logging
- Fixed issue where some Japanese was not switched over to English
- GUI improvements on layout

## [v1.9.3] - 2024-02-09
  
Bug fix build

### Added
- Preliminary Japanese language support
- Ability to export configuration header file for software development
- Changed header file for GUI and firmware (cosemetic, no values changed)

### Fixed
- Behavior when enabling/disabling sensing that might cause SAF register settings to be erroneously set

## [v1.9.2] - 2024-01-08
  
Bug fix build

### Added
- Added logging ability for current sense (carry over from older build) 

### Fixed
- Fixed issue where channel settings in the I2T tab for channel 2 were not being persisted
- Fixed issue where channel fault indicators on main tab were not being triggered

## [v1.9.1] - 2023-12-18
  
Bug fix build
 
### Fixed
- Fixed GUI scaling issue on old monitors

## [v1.9.0] - 2023-12-15
  
Build to intersect revision 3 "purple" version of the EVM
 
### Added
- Ability to save/load configuration from MCU flash
 
### Fixed
- Fixed bug where channel settings might be changed when enabling/disabling graphing
- Fixed various spacing/formatting issues with the GUI

## [v1.0.4] - 2023-10-03
  
Incremental build
 
### Added

### Known issues
 
### Changed
- Removed unsupported current limit settings
- Moved SNS resistor and tolerance setting to device settings from I2T settings
    
### Fixed
- Various spacing and alignment fixes in GUI
- Demo mode now allows you to change capacitor charging modes

## [v1.0.3] - 2023-09-19
  
Incremental build
 
### Added

### Known issues
 
### Changed
- Changed terminology in the current limiting sections to match new datasheet
- Updated with latest IP-XACT from release datasheet
- Moved LPM fault detection to separate section to make operation more clear
    
### Fixed
- Wrong values from I2T trip values
- Erroneously disabled open load ON faults now enabled
- Various spacing and alignment fixes in GUI

## [v1.0.2] - 2023-09-07
  
Incremental build
 
### Added

- Added "Demo Mode" that allows using the GUI with an active EVM connection
- The "About" button now opens the user's guide in a web browser

### Known issues
 
### Changed
    
### Fixed
- Random typos in GUI

## [v1.0.1] - 2023-08-21
  
Bug fix build
 
### Added

### Known issues
 
### Changed
    
### Fixed
- Fixed issue with string parsing on console view

## [v1.0.0] - 2023-08-15
  
Release build
 
### Added
- Limp home fault indicator
- Reset latch mode operation
- Ability to change sense resistor and tolerance. Sense resistor value will be used for ADC current sense calculations. 

### Known issues
 
### Changed
- Fixed dv/dt enumeration values
    
### Fixed
- Various optimizations and memory usage fixes

## [v1.0.0rc2] - 2023-07-26
  
Release candidate build 2
 
### Added
- Custom wire model support implemented (CSV file for I2T Tuner)

### Known issues
- Global fault indicator in command view does not trigger on all faults
 
### Changed
    
### Fixed
- Scaling issue when Windows scaling settings are set >100%

## [v1.0.0rc1] - 2023-07-24
  
Release candidate build
 
### Added

- Digipot support implemented
- Sleep mode button implemented
- Save/load setting implemented

### Known issues
- Global fault indicator in command view does not trigger on all faults
 
### Changed
    
### Fixed
- Various memory leaks/stability issues
- Increased queue depth for HSS commands
- On device connect, GUI will force a 0xFF write to for the device out of low power mode 

## [v0.9b07112023] - 2023-07-11
  
Daily build for internal use
 
### Added

- Digipot is not implemented

### Known issues
- Export options not implemented in GUI
- Save/Load options not implemented in GUI
- Global fault indicator in command view does not trigger on all faults
- Once LHI is forced, fault indicator get stuck due to fault bit erroneously defined as "reserved" in datasheet 

### Changed

    
### Fixed

## [v0.9b06162023] - 2023-06-22
  
Daily build for internal use
 
### Added

- "Force LHI" mode is now implemented
- Version string constant added to firmware and now reported on GUI

### Known issues
- UI is laggy when switching between tabs with current sense enabled 
- Export options not implemented in GUI
- Save/Load options not implemented in GUI
- Global fault indicator in command view does not trigger on all faults
- Once LHI is forced, fault indicator get stuck due to fault bit erroneously defined as "reserved" in datasheet 

### Changed
- SPI clock speed increased to 2MHz  
- Drive strength of SPI IOs increased to 8mA
  
### Fixed
  

## [v0.9b06162023] - 2023-06-16
  
Daily build for internal use
 
### Added

- Controls to turn on high-side switch channels 
- Console functionality to raw read/write registers
- Configuration tab to edit all settings registers of device
- Log view
- Current sense graphing on main page
- Preliminary I2T tuner curve

### Known issues
- UI is laggy when switching between tabs with current sense enabled 
- Export options not implemented in GUI
- Save/Load options not implemented in GUI
- Global fault indicator in command view does not trigger on all faults

### Changed
  
 
### Fixed
  
    